Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTConstraintOwner

All Superinterfaces:
  `IASTNode`

All Known Subinterfaces:
  `ICPPASTDeductionGuide`, `ICPPASTFunctionDeclarator`, `ICPPASTFunctionTryBlockDeclarator`, `ICPPASTSimpleTypeTemplateParameter`

public interface ICPPASTConstraintOwner extends IASTNode
An AST node that may have C++ constraints.

Since:
  9.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`CONSTRAINT_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConstraintExpression(IASTExpression constraintExpression)`
Adds a constraint specifier to the node.
`IASTExpression[]`
`getConstraintExpressions()`
Returns an array of all the node's constraint specifiers.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### CONSTRAINT_SPECIFIER

static final ASTNodeProperty CONSTRAINT_SPECIFIER

## Method Details

### getConstraintExpressions

IASTExpression[] getConstraintExpressions()
Returns an array of all the node's constraint specifiers.

### addConstraintExpression

void addConstraintExpression(IASTExpression constraintExpression)
Adds a constraint specifier to the node.